CopyParentClassLoaderRule (Apache Tomcat 8.5.78 API Documentation)

Package org.apache.catalina.startup

## Class CopyParentClassLoaderRule

- java.lang.Object
- - org.apache.tomcat.util.digester.Rule
  - - org.apache.catalina.startup.CopyParentClassLoaderRule

-     public class CopyParentClassLoaderRule
      extends Rule

  Rule that copies the `parentClassLoader` property from the next-to-top item on the stack (which must be a `Container`) to the top item on the stack (which must also be a `Container`).

  Author:
    Craig R. McClanahan

- - ### Field Summary

    - ### Fields inherited from class org.apache.tomcat.util.digester.Rule

      `digester, namespaceURI`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CopyParentClassLoaderRule()` | Construct a new instance of this Rule.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `begin​(String namespace, String name, Attributes attributes)` | Handle the beginning of an XML element.

    - ### Methods inherited from class org.apache.tomcat.util.digester.Rule

      `body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CopyParentClassLoaderRule

          public CopyParentClassLoaderRule()

      Construct a new instance of this Rule.

  - ### Method Detail

    - #### begin

          public void begin​(String namespace,
                            String name,
                            Attributes attributes)
                     throws Exception

      Handle the beginning of an XML element.
      Overrides:
        `begin` in class `Rule`
      Parameters:
        `attributes` - The attributes of this element
        `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
        `name` - the local name if the parser is namespace aware, or just the element name otherwise
      Throws:
        `Exception` - if a processing error occurs